package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 经销商商品采购订单明细实体类
 * @auther quanshu
 * @create 2023-06-05 11:01:39
 */
@TableName("mp_channel_goods_order_item")
@Data
public class ChannelGoodsOrderItem implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "item_id", type = IdType.AUTO)
    private Long itemId;

    /**
     * 渠道ID
     */
    @ApiModelProperty("渠道ID")
    @TableField("channel_id")
    private Long channelId;

    /**
     * 订单ID
     */
    @ApiModelProperty("订单ID")
    @TableField("order_id")
    private String orderId;

    /**
     * 商品ID
     */
    @ApiModelProperty("商品ID")
    @TableField("goods_id")
    private Long goodsId;

    /**
     * 商品标题
     */
    @ApiModelProperty("商品标题")
    @TableField("title")
    private String title;

        /**
     * 商品图片
     */
         @TableField("pic_url")
    private String picUrl;

    /**
     * 商品数量
     */
    @ApiModelProperty("商品数量")
    @TableField("goods_num")
    private Integer goodsNum;

    /**
     * 供应商id
     */
    @ApiModelProperty("供应商id")
    @TableField("supplier_id")
    private Long supplierId;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}